/***************************************
 * Icon Cards Slider
***************************************/
.ifs-icon-cards-slider {
    --slider-gap:24px;
    --slider-w:calc((var(--ifs-100vw) - 2 * var(--ifs-gap-side) - 2 * var(--slider-gap)) / 3);
    --slider-h:442px;
}
.ifs-icon-cards-slider__items {min-height:calc(var(--slider-h) + 18px);}
.ifs-icon-cards-slider .ifs-icon-description__item {
    --item-height:var(--slider-h);
    --item-box-shadow:0px 14px 14px rgba(0, 0, 0, 0.03),
    0px 7px 7px rgba(0, 0, 0, 0.03),
    0px 4px 4px rgba(0, 0, 0, 0.03),
    0px 2px 2px rgba(0, 0, 0, 0.03),
    0px 1px 1px rgba(0, 0, 0, 0.03);
    width:calc(var(--slider-w) + var(--slider-gap));
    padding-left:var(--slider-gap); padding-bottom:18px;
}
.ifs-icon-cards-slider:not(.slider-loop) .ifs-icon-description__item:first-child {
    width:calc(var(--slider-w) + var(--ifs-gap-side));
    padding-left:var(--ifs-gap-side);
}
.ifs-icon-cards-slider:not(.slider-loop) .ifs-icon-description__item:last-child:not(:first-child) {
    width:calc(var(--slider-w) + var(--ifs-gap-side) + var(--slider-gap));
    padding-right:var(--ifs-gap-side);
}

/* item */
.ifs-icon-cards-slider .ifs-icon-description__item-inner {display:flex; flex-direction:column; justify-content:space-between;}


/***************************************
 * Icon Cards Slider- Responsive
***************************************/
@media only screen and (min-width:1800px) {
    .ifs-icon-cards-slider {--slider-h:var(--slider-w)}
}
@media only screen and (max-width:1180px) {
    .ifs-icon-cards-slider {--slider-gap:var(--ifs-gap-container);}
}
@media only screen and (max-width:1024px) {
    .ifs-icon-cards-slider {--slider-h:350px;}
    .ifs-icon-cards-slider .ifs-icon-description__item {--icon-size:60px;}
    .ifs-icon-cards-slider .ifs-icon-description__item-image {margin-bottom:var(--ifs-spacing-20);}
}

@media only screen and (max-width:920px) {
    .ifs-icon-cards-slider {--slider-w:40vw;}

    /* separator */
    .ifs-icon-cards-slider .vc_separator {margin-bottom:var(--ifs-spacing-40);}

    /* hide nav */
    .ifs-icon-cards-slider__nav {display:none;}
}
@media only screen and (max-width:768px) and (min-width:541px) {
    /* layout less than 2 items */
    .ifs-icon-cards-slider:not(:has(.ifs-icon-description__item:nth-child(3))):has(.ifs-icon-description__item:nth-child(2)),
    .ifs-icon-cards-slider:not(:has(.ifs-icon-description__item:nth-child(2))) {
        --slider-w:calc((var(--ifs-100vw) - 2 * var(--ifs-gap-side) - var(--slider-gap)) / 2);
    }
}
@media only screen and (max-width:540px) {
    .ifs-icon-cards-slider {--slider-w:75vw;}

    /* layout 1 item */
    .ifs-icon-cards-slider:not(:has(.ifs-icon-description__item:nth-child(2))) {
        --slider-w:var(--ifs-container);
    }
}
@media only screen and (max-width:480px) {
    .ifs-icon-cards-slider {
        --slider-w:calc(var(--ifs-container) - var(--ifs-gap-container));
        --slider-h:var(--slider-w);
    }

    .vc_row:not([data-vc-full-width]).ifs-row-bg-color .ifs-icon-cards-slider {
        --slider-w:calc(var(--ifs-container) - 3 * var(--ifs-gap-container));
    }
}